Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TWindowDef

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TWindowDef

All Implemented Interfaces:
  Visitable

    public class TWindowDef

extends TParseTreeNode

Constructor Summary
`TWindowDef()`

Method Summary
`TExpression` | `getEndOffset()`
`TFrameExclusionClause` | `getExclusionClause()`
`TWindowDef` | `getFrameClause()`
`TObjectName` | `getName()`
`TPartitionClause` | `getPartitionClause()`
`TObjectName` | `getReferenceName()`
`TOrderBy` | `getSortClause()`
`TExpression` | `getStartOffset()`
`void` | `setEndOffset(TExpression endOffset)`
`void` | `setExclusionClause(TFrameExclusionClause exclusionClause)`
`void` | `setFrameClause(TWindowDef frameClause)`
`void` | `setName(TObjectName name)`
`void` | `setPartitionClause(TPartitionClause partitionClause)`
`void` | `setReferenceName(TObjectName referenceName)`
`void` | `setSortClause(TOrderBy sortClause)`
`void` | `setStartOffset(TExpression startOffset)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TWindowDef

    public TWindowDef()

Method Detail

### setExclusionClause

    public void setExclusionClause(TFrameExclusionClause exclusionClause)

### getExclusionClause

    public TFrameExclusionClause getExclusionClause()

### setName

    public void setName(TObjectName name)

### setFrameClause

    public void setFrameClause(TWindowDef frameClause)

### getFrameClause

    public TWindowDef getFrameClause()

### getName

    public TObjectName getName()

### getReferenceName

    public TObjectName getReferenceName()

### getSortClause

    public TOrderBy getSortClause()

### setSortClause

    public void setSortClause(TOrderBy sortClause)

### setPartitionClause

    public void setPartitionClause(TPartitionClause partitionClause)

### getPartitionClause

    public TPartitionClause getPartitionClause()

### setReferenceName

    public void setReferenceName(TObjectName referenceName)

### getStartOffset

    public TExpression getStartOffset()

### getEndOffset

    public TExpression getEndOffset()

### setEndOffset

    public void setEndOffset(TExpression endOffset)

### setStartOffset

    public void setStartOffset(TExpression startOffset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD